spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | List of all members
spot::formater Class Reference
Inheritance diagram for spot::formater:
Collaboration diagram for spot::formater:

## Public Member Functions
bool | has (char c) const
| Whether c occurred in the primed formats. More...
void | declare (char c, const printable *f)
| Declare a callback function for c. More...
void | set_output (std::ostream &output)
| Remember where to output any string. More...
std::ostream & | format (const char *fmt)
| Expand the %-sequences in fmt, write the result on output_. More...
std::ostream & | format (std::ostream &output, const char *fmt)
| Expand the %-sequences in fmt, write the result on output. More...
std::ostream & | format (const std::string &fmt)
| Expand the %-sequences in fmt, write the result on output_. More...
std::ostream & | format (std::ostream &output, const std::string &fmt)
| Expand the %-sequences in fmt, write the result on output. More...
void | scan (const char *fmt, std::vector< bool > &has) const
| Scan the %-sequences occuring in fmt. More...
void | scan (const std::string &fmt, std::vector< bool > &has) const
| Scan the %-sequences occuring in fmt. More...
void | prime (const char *fmt)
void | prime (const std::string &fmt)

## Protected Attributes
std::ostream * | output_

## Member Function Documentation

void spot::formater::declare | ( | char | c,
|  | const printable * | f
| ) |  |
| inline

Declare a callback function for c.

std::ostream& spot::formater::format | ( | const char * | fmt | ) |

Expand the %-sequences in fmt, write the result on output_.

std::ostream& spot::formater::format | ( | std::ostream & | output,
|  | const char * | fmt
| ) |  |
| inline

Expand the %-sequences in fmt, write the result on output.

std::ostream& spot::formater::format | ( | const std::string & | fmt | ) |
| inline

Expand the %-sequences in fmt, write the result on output_.

std::ostream& spot::formater::format | ( | std::ostream & | output,
|  | const std::string & | fmt
| ) |  |
| inline

Expand the %-sequences in fmt, write the result on output.

bool spot::formater::has | ( | char | c | ) | const
| inline

Whether c occurred in the primed formats.

void spot::formater::prime | ( | const char * | fmt | ) |

Collect the %-sequences occurring in fmt.

void spot::formater::prime | ( | const std::string & | fmt | ) |
| inline

Collect the %-sequences occurring in fmt.

void spot::formater::scan | ( | const char * | fmt,
|  | std::vector< bool > & | has
| ) |  | const

Scan the %-sequences occuring in fmt.

Set has['c'] for each c in fmt. has must be 256 wide.

void spot::formater::scan | ( | const std::string & | fmt,
|  | std::vector< bool > & | has
| ) |  | const
| inline

Scan the %-sequences occuring in fmt.

Set has['c'] for each c in fmt. has must be 256 wide.

void spot::formater::set_output | ( | std::ostream & | output | ) |
| inline

Remember where to output any string.

The documentation for this class was generated from the following file:

- spot/misc/formater.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.